# 授权

### 获取Token

**(注意：后续所有接口请求都需要将 此接口`token` 和 `uid` 作为 Authorization token，放在header中发送请求：`Authorization: Token token='token', uid='uid'`)**
##### 用户登录账号后获取授权数据
* HTTP请求

`POST /api/auth/get_token.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---|
    login | 必须 | 登录账号（手机号）
    password | 必须 | 账号密码
	corp_id | 必须 | 企业CorpId

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    uid | string | 用户唯一标示符
    token | string | 用于接口访问的授权token

* 返回 JSON 数据

```
    {
        "status": {
            "code": 200,
            "message": "OK"
        },
        "auth": {
            "uid": "dd8e5c70519b29cbe506",
            "token": "c76254cb646a9782053f7833c78ae1"
        }
    }
```

## 获取用户信息

将 `token` 和 `uid` 作为 Authorization token，放在header中发送请求, 获取用户数据。

```shell
curl -i --header "Authorization: Token token=<token>, uid=<uid>" \
  http://example.com/api/users/show.json
```

```json
{
  "status": {
    "code": 0
  },
  "user": {
    "member_id": "1",
    "name": "test",
    "gender": "",
    "mobile": "186***6772",
    "email": "1111@qq.com",
    "status": "normal",
    "role": "超级管理员"
  },
  "org": {
    "number": "10001",
    "name": "励销",
    "address": "浦东",
    "members_count": 6,
    "staff_size": "500人以上",
    "industry": "高科技"
  }
}
```

* HTTP请求

`GET /api/users/show.json`

* 请求参数

参数名 | 是否必须 | 说明
    ------| --------| ---
    token | 必须 | 授权token
    uid | 必须 | 用户唯一标示符

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    member_id | integer | 用户ID
    name | string | 用户名
    mobile | string | 手机号码，用于登录
    email | string | 邮箱账号
    gender | string | 性别（未知，男，女）
    status | string | 账号状态 normal : 正常
    role | string | 角色名称
    org | hash | 用户所在公司的信息