# Error code

## 错误代码说明

错误返回值的JSON格式: **10004**

```json
{
  "status": {
    "code" : "10004",
    "message" : "Request api not found."
  }
}
```

1 | 00 | 04
---------- | ------------ | -----------
服务级错误 | 服务模块代码 | 具体错误代码

## 错误代码对照表

系统级错误代码

错误代码 | 错误信息 | 详细描述
---------- | ------------ | -----------
10001 | System error | 系统错误
10002 | Service unavailable | 服务暂停
10003 | Remote service error | 远程服务错误
10004 | Request api not found | 接口不存在
10005 | Permission denied, need a high level appkey | 该资源需要appkey拥有授权
10006 | Source paramter (appkey) is missing | 缺少source (appkey) 参数
10007 | Unsupport mediatype (%s) | 不支持的MediaType (%s)
10008 | Param error, see doc for more info | 参数错误，请参考API文档
10009 | Too many pending tasks, system is busy | 任务过多，系统繁忙
10010 | Job expired | 任务超时
10011 | RPC error | RPC错误
10012 | Illegal request | 非法请求
10013 | Invalid user | 不合法的用户
10014 | Insufficient app permissions | 应用的接口访问权限受限
10015 | HTTP method is not suported for this request | 请求的HTTP METHOD不支持，请检查是否选择了正确的POST/GET方式
10016 | Miss required parameter (%s) , see doc for more info | 缺失必选参数 (%s)，请参考API文档
10017 | Parameter (%s)s value invalid, expect (%s) , but get (%s) , see doc for more info | 参数值非法，需为 (%s)，实际为 (%s)，请参考API文档
10018 | Request body length over limit | 请求长度超过限制
10019 | User requests out of rate limit | 用户请求频次超过上限
10020 | IP requests out of rate limit | IP请求频次超过上限
10021 | IP limit | IP限制不能请求该资源

### HTTP status code

Error Code | Meaning
---------- | ---------
400 | bad_request
401 | unauthorized
402 | payment_required
403 | forbidden
404 | not_found
405 | method_not_allowed
406 | not_acceptable
407 | proxy_authentication_required
408 | request_timeout
409 | conflict
410 | gone
411 | length_required
412 | precondition_failed
413 | request_entity_too_large
414 | request_uri_too_long
415 | unsupported_media_type
416 | requested_range_not_satisfiable
417 | expectation_failed
422 | unprocessable_entity
423 | locked
424 | failed_dependency
426 | upgrade_required
490 | parameter_missing
491 | invalid_parameter_error
500 | internal_server_error
501 | not_implemented
502 | bad_gateway
503 | service_unavailable
504 | gateway_timeout
505 | http_version_not_supported
507 | insufficient_storage
510 | not_extended

### 进销存定制错误码

错误代码 | 错误信息 | 详细描述
------- | ------- | -------
900 | PARAMETER_MISSING | 参数缺失 
901 | INVALID_PARAMETER_ERROR | 非法参数 
902 | PARAMETER_VALUE_NOT_ALLOWED | 参数值不允许 
903 | PARAMETER_TYPE_ERROR | 参数类型错误 
904 | PARAMETER_LENGTH_INVALID | 参数长度非法 
905 | INVENTORY_NOT_ENOUGH | 库存不足 
906 | RECORD_NOT_SAVED | 数据未保存 
907 | STATUS_TRANSITION_ERROR | 审批状态转换错误 
908 | INVENTORY_NOT_ENOUGH_DETAIL | 库存不足的错误码，附带 库存不足的详细信息
909 | ORDER_OVER_ERROR | 提交销售退货单时，检测关联的销售出库单关联的销售订单的订单状态是否为已结束
910 | APPROVE_DATA_ERROR | 审批数据错误 
911 | CALCULATE_EXECUTING | 单据计算错误 
912 | SMS_PACKAGE_GONE | 短信套餐下架
913 | SMS_NIGHT_SEND_FORBIDDEN | 为不打扰多数用户的休息，晚上21:00~早上9:00时间段内不允许发送短信
914 | SMS_AVAILABLE_COUNT_NOT_ENOUGH | 短信可用量不足
915 | UNIT_COST_NEGATIVE | 单位成本为负数
916 | ORDER_REMAIN_NOT_ENOUGH | 订单生成的单据产品项数量超出订单项的数量
996 | MEMBER_DISABLED | 账号已被禁用