# 筛选条参数

## 获取筛选条的内容

```shell
  curl -i http://example.com/api/filter_params.json
```

> 请求返回 JSON 数据:

```json
category=search
{
    "status": {
        "code": 200,
        "message": "OK"
    },
    "filter_params": {
        "keyword_types": [
            {
                "name": "供应商名称",
                "value": "suppliers.name"
            },
            {
                "name": "供应商编号",
                "value": "suppliers.number"
            }
        ]
    }
}
```

```json
category=fixed/query/filter
{
    "status": {
        "code": 200,
        "message": "OK"
    },
    "filter_params": [
        {
            "default_title": "供应商",
            "param": "supplier_id",
            "placeholder": "供应商名称、供应商编号",
            "items": [
                {
                    "name": "代理商1",
                    "value": 2
                },
                { ... }
            ]
        }
    ]
}
```

* HTTP请求

    `GET /api/filter_params.json`

* 请求参数

参数名    | 是否必填   | 默认值   | 字段说明
    -------- | --------- | ------  | -----
    subject  | 是        | 无       | 模块（值见下面表格）
    category | 是        | 无       | 类别（fixed/query/filter/search）
    
* 模块 subject 的所有值

名称             | 说明
    ---------------- | ----
    check            | 盘点
    collecting       | 应收
    customer         | 客户
    fund_collecting  | 资金应收
    fund_payment     | 资金应付
    inventory        | 库存
    payment          | 应付
    product          | 产品
    purchase         | 采购
    purchase_order   | 采购订单
    sale             | 销售
    sale_order       | 销售订单
    storage_transfer | 调拨单
    storageio        | 其他出入库单
    supplier         | 供应商

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    default_title | string | 默认表体（仅 category=fixed/query 会返回）
    param         | string | 当前页面单据查询时所需的查询参数 key
    placeholder   | string | 输入框占位文字（仅 category=query 会返回）
    items         | array  | 选项 
    items.name    | string | 选项名称
    items.value   | string | 选项值
    keyword_types | array  | 关键字类型
    keyword_types.name | string | 关键字类型名称
    keyword_types.value | string | 关键字类型值