# 产品分类
## 产品分类查询接口(所有)

获取产品分类，及分类下的子分类

```shell
curl -i "http://example.com/api/product_categories.json"
```

```json
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "product_categories": [
    {
      "id": 1,
      "name": "联想科技",
    }
  ]
}
```

* HTTP 请求

    `GET /api/product_categories.json`

* 请求参数

参数名	|是否必填	|默认值	|字段说明
-------- | ------- | ----------- | -----------
keyword	|否	|无	|搜索关键字
warehouse_id	|否	|无	|仓库ID


* 返回字段说明

返回值字段 | 字段类型 | 说明
    -------- | ------- | -----------
    id | integer | ID
    name | string | 名称

## 产品分类查询接口(嵌套)

获取产品分类，及分类下的子分类

```shell
curl -i "http://example.com/api/product_categories/list_with_nest.json"
```

```json
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "product_categories": [
    {
      "id": 1,
      "name": "联想科技",
      "subordiates": [
        {
          "id": 2,
          "name": "YOGA-1",
          "subordiates": [
            {
              "id": 5,
              "name": "YOGA-1-RED"
            }
          ]
        }
      ]
    }
  ]
}
```

* HTTP 请求

    `GET /api/product_categories/list_with_nest.json`

* 请求参数

参数名	|是否必填	|默认值	|字段说明
-------- | ------- | ----------- | -----------
keyword	|否	|无	|搜索关键字
warehouse_id	|否	|无	|仓库ID


* 返回字段说明

返回值字段 | 字段类型 | 说明
    -------- | ------- | -----------
    id | integer | ID
    name | string | 名称
	subordiates/id	|integer	|子分类ID
	subordiates/name	|string	|子分类名称