# 产品单位
## 查询产品的单位

```shell
curl -i -X GET --header "Authorization: Token token=<user_token>, uid=<uid>" \
  http://example.com/api/product_units.json?product_id=1
```

```json
{
    "status": {
        "code": 200,
        "message": "OK"
    },
    "product_units": [
        {
            "id": 396,
            "name": "台",
            "unit_id": 5,
            "unit_name": "台",
            "conversion": "1",
            "price_policy_attributes": {
                "id": 264,
                "sale_price": "10.0000",
                "purchase_price": "5.0000"
            }
        },
        {
            "id": 397,
            "name": "箱",
            "unit_id": 6,
            "unit_name": "箱",
            "conversion": "20",
            "price_policy_attributes": {
                "id": 265,
                "sale_price": "200.0000",
                "purchase_price": "100.0000"
            }
        },
        {
            "id": 398,
            "name": "车",
            "unit_id": 7,
            "unit_name": "车",
            "conversion": "200",
            "price_policy_attributes": {
                "id": 266,
                "sale_price": "2,000.0000",
                "purchase_price": "1,000.0000"
            }
        }
    ]
}
```

* HTTP请求

    `GET api/product_units.json?product_id=1`

* 请求参数说明

参数名    | 是否必填   | 默认值   | 字段说明
    -------- | --------- | ------  | -----
    product_id | 是 | 无 | 产品ID

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    id       | integer | product_units的ID
    name     | string  | 单位名称
    unit_id  | integer | 关联单位ID
    unit_name| string  | 关联单位名称
    conversion| string | 与基本单位的换算率
    price_policy_attributes[id] | integer | 价格策略ID
    price_policy_attributes[sale_price] | string | 售出价格
    price_policy_attributes[purchase_price] | string | 采购价格