# 仓库

## 仓库数据列表查询

```shell
curl -i http://example.com/api/warehouses.json
```

```json
{
  "status": {
    "code": "200",
    "message": "OK"
  },
  "warehouses": [
    {
      "id": 1,
      "name": "测试仓库",
      "number": "24234234234",
      "telephone": "021-234234234",
      "address": "浦东新区",
      "note": "这是测试仓库",
      "contactor": "大张飞"
    }
  ]
}
```

* HTTP请求

    `GET /api/warehouses.json`

* 请求参数

参数名    | 是否必填   | 默认值   | 字段说明
    -------- | --------- | ------  | -----
    keyword  | 否        | 无      | 关键字

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    id              | string | ID
    name            | string | 名称
    number          | string | 编号
    telephone       | string | 联系电话
    address         | string | 地址
    note            | string | 备注

## 创建仓库

```shell
curl -i POST "http://example.com/api/warehouses.json"
```

```json
{
  "status": {
    "code": "200",
    "message": "OK"
  },
  "warehouse": [
    {
      "id": 1,
      "name": "测试仓库",
      "number": "24234234234",
      "telephone": "021-234234234",
      "address": "浦东新区",
      "note": "这是测试仓库"
    }
  ]
}
```

* HTTP请求

    `POST /api/warehouses.json`

* 请求参数

参数名         | 是否必填   | 默认值   | 字段说明
    --------------| --------- | ------  | -----
    name          | 是        | 无      | 仓库名称
    number        | 是        | 无      | 仓库编号
    address       | 否        | 无      | 仓库地址
    contacter_id  | 是        | 无      | 仓库联系人
    telephone     | 否        | 无      | 仓库电话
    status        | 否        | enable  | 仓库状态
    note          | 否        | 无      | 备注

* 返回字段说明

返回值字段 | 字段类型 | 字段说明
    -------- | --------- | -----------
    id              | string | ID
    name            | string | 名称
    number          | string | 编号
    telephone       | string | 联系电话
    address         | string | 地址
    note            | string | 备注