# 应收

### 应收列表

* HTTP请求

`GET /api/funds/collectings.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    doc_date | 否 | 单据日期
	date | 否 | 收款日期
	status | 否 | 收款状态
	keyword | 否 | 关键词
	keyword_type | 否 | 关键词类型(customers.name: 客户名称; customers.number: 客户编号; collectings.number: 单据编号; )
	customer_id | 否 | 客户
	customer_type_id | 否 | 客户类型
	warehouse_id | 否 | 仓库
	creator_id | 否 | 创建人
	member_id | 否 | 销售人员
	created_at | 否 | 创建时间（created_at='2024-01-01/2024-03-15' 或者Unix时间戳毫秒级格式 created_at='1710401628293/1710401628299'; 注意日期之间用/隔开 ）
	updated_at | 否 | 更新时间（updated_at='2024-01-01/2024-03-15' 或者Unix时间戳毫秒级格式 updated_at='1710401628293/1710401628299'; 注意日期之间用/隔开 ）
	sort | 否 | 排序字段（仅支持created_at, updated_at）
	order | 否 | 排序方式（仅支持desc, asc）
	page | 否 | 第几页
	per | 否 | 每页返回数

* 返回字段说明字段 | 类型 | 说明
    --- | --- | ---
    id | integer | ID
    number | string | 编号
	status | string | 收款状态
	status_i18n | string | 收款状态（中文）
	customer_id | integer | 客户ID
	customer_name | string | 客户姓名
    contact_name | string | 联系人姓名
	collectable_id | integer | 关联单据ID
	collectable_type | string | 关联单据类型
	type_name | string | 单据类型
	collectable_category | string | 应收类型
	total_amount | string | 应收金额
	collected_amount | string | 已收金额
	remain_amount | string | 未收金额
	created_at | string | 创建时间
	updated_at| string | 更新时间
	fund_collecting_note | string | 最后收款备注
	related_name | string | 销售人员
	last_paid_on | 最后收款日期 |
	collectable_date | string | 单据日期


* 返回 JSON 数据

```
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "collectings": [
    {
      "id": 25549,
      "status": "closed",
      "status_i18n": "结案",
      "customer_id": 46352,
      "customer_name": "asdasd",
      "collectable_id": 24640,
      "collectable_type": "Sale",
      "type_name": "销售出库单",
      "number": "XSCKD202307200002",
      "collectable_category": "out",
	  "created_at": "2023-07-20 16:13:11",
      "updated_at": "2023-07-20 16:13:11",
      "fund_collecting_note": null,
      "related_name": "销售员",
      "last_paid_on": null,
      "collectable_date": "2023-07-20 00:00:00",
      "total_amount": "0.00",
      "collected_amount": "0.00",
      "remain_amount": "0.00"
    }
  ]
}    
```