# 收款单

### 收款单列表（查询）

* HTTP请求

`GET /api/funds/fund_collectings.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    paid_on | 否 | 收款日期
	created_at  | 否 | 创建日期 
	status | 否 | 收款状态
	category | 否 | 收款类别
	customer_id | 否 | 客户
	customer_type_id | 否 | 客户类型 
	department_id | 否 | 收款人部门
	operator_id | 否 | 收款人
	creator_department_id | 否 | 创建人部门
	fund_creator_id | 否 | 创建人
	keyword | 否 | 关键词
	keyword_type | 否 | 关键词类型(fund_collectings.number: 收款单编号; collectings.number: 关联的销售单编号; parent_fund_collectings_fund_collectings.number: 关联的核销单编号; )
	page | 否 | 第几页
	per | 否 | 每页返回数

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    id | integer | ID
	type_name | string | 单据类型
    number | string | 编号
	note | string | 备注
	category | string | 收款类别
	category_i18n | string | 收款类别(collecting: 应收收款, ordering: 订单收款, advance: 预收, backing: 预收退回, offsetting: 预收冲应收)
	approve_status_i18n | string | 审批状态（中文）
	status | string | 审批状态
	status_i18n | string | 审批状态（中文）
	approved_level | integer | 审批层级
	current_approver_name | string | 当前审批人
	approved_time | string | 审批时间
	copy_to | array | 抄送人员ID
	copy_to_member_names | array | 抄送人员
	customer_id | integer | 客户ID
	customer_name | string | 客户姓名
	creator_name | string | 创建人
	created_at |string | 创建时间
	paid_amount | string | 收款金额
	remain_amount | string | 预收余额
	advance_amount | string | 预收金额
	operator_name | string | 收款人
	operated_at |string | 最后审批时间
	reason | string | 驳回原因
	paid_on |string | 付款时间
	parent_id | integer | 关联旧单据
	approval_information |hash | 审批信息
	collecting_number |array | 关联的销售单
	parent_fund_collectings | array| 关联的核销单
	fund_account_name | array | 账号账户
	offset_amount | string | 本次退回金额


* 返回 JSON 数据

```
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "fund_collectings": [
    {
      "id": 5591,
      "type_name": "收款单",
      "number": "SKD202305300001",
      "note": "",
      "category_i18n": "预收",
      "status": "draft",
      "approve_status_i18n": "草稿",
      "status_i18n": "草稿",
      "category": "advance",
      "approved_level": 0,
      "current_approver_name": "",
      "approved_time": "",
      "copy_to": [
        "5563892",
        "5586325"
      ],
      "copy_to_member_names": [
        "刘小宝",
        "超管2"
      ],
      "customer_id": 46352,
      "customer_name": "asdasd",
      "creator_name": "超管",
      "created_at": "2023-05-30",
      "cost_amount": "0.00",
      "paid_amount": "1.00",
      "remain_amount": "1.00",
      "advance_amount": "1.00",
      "operator_name": "超管",
      "operated_at": "2023-05-30 21:58",
      "reason": null,
      "paid_on": "2023-05-30",
      "parent_id": null,
      "approval_information": {},
      "collecting_number": [],
      "parent_fund_collectings": [],
      "sub_fund_collectings": [],
      "fund_account_name": [
        {
          "id": 9229,
          "name": "现金名称"
        }
      ],
      "offset_amount": "1.00"
    }
  ],
  "sum": {
    "paid_amount": "609.55",
    "advance_amount": "556.34",
    "remain_amount": "555.15"
  },
  "pagination": {
    "current_page": 1,
    "prev_page": null,
    "total_count": 21,
    "entries_size": 1
  }
}
```