### 收款单详情
**应收收款、订单收款、预收、预收退回**

* HTTP请求

    `GET /api/funds/fund_collectings/:id.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    无 | 无 | 无

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    	has_approve_permission | boolean | 是否有审批权限
        has_revoke_permission | boolean | 是否有撤回权限
        approve_enabled | boolean | 审批是否开启
        operator_id | integer | 收款人
        note_editable | boolean | 是否可编辑
        attachment_editable | boolean | 附件是否可编辑
        id | integer | 收款单ID
        type_name | string | 单据类别
        number | string | 编号
        note | string | 备注
        category_i18n | string | 收款类别（中文）
        status | string | 审批状态（draft: 草稿；approving: 待审批；submitted: 已提交；rejected: 已驳回；passed: 审批通过；deprecated: 已作废）
        approve_status_i18n | string | 审批状态（中文）
        status_i18n | string | 审批状态（中文）
        category | string | 收款类别
        approved_level | integer | 审批层级
        current_approver_name | string | 当前审批人
        approved_time | string | 审批通过时间
        copy_to | array | 抄送人
        copy_to_member_names | array | 抄送人名称
        customer_id | integer | 客户ID
        customer_name | string | 客户名称
        creator_name | string | 创建人
        created_at | string | 创建时间
        cost_amount | string | 应收收款+预收已核销
        paid_amount | string | 收款金额
        remain_amount | string | 未收金额
        advance_amount | string | 预收金额
        operator_name | string | 收款人
        operated_at | string | 收款时间
        reason | string | 审批、驳回原因
        paid_on | string | 收款时间
        parent_id | integer | 关联旧单据
        approval_information | hash | 审批信息
		collectings | array | 应收款列表
        total_collect_amount | string | 总收款额
        collecting_ids | array | 应收款Ids
        collecting_amount | string | 应收金额
        fund_collectings | array | 关联的预收列表
        total_offset_amount | string | 本次核销金额
        fund_collecting_ids | array | 关联的预收列表Ids
        fund_accounts | string | 收款资金账户
        total_settlement_amount | string | 本次收款金额
        fund_account_ids | array | 收款资金账户Ids
        attachments_count | integer | 附件数量
        attachments | array | 附件列表

* 返回 JSON 数据

```
{
    "status": {
        "code": 200,
        "message": "OK"
    },
    "fund_collecting": {
        "has_approve_permission": true,
        "has_revoke_permission": false,
        "approve_enabled": true,
        "operator_id": 5616622,
        "note_editable": true,
        "attachment_editable": true,
        "id": 5993,
        "type_name": "收款单",
        "number": "SKD202312250001",
        "note": "",
        "category_i18n": "应收收款",
        "status": "draft",
        "approve_status_i18n": "草稿",
        "status_i18n": "草稿",
        "category": "collecting",
        "approved_level": 0,
        "current_approver_name": null,
        "approved_time": "",
        "copy_to": null,
        "copy_to_member_names": [],
        "customer_id": 146313,
        "customer_name": "上海微问家信息技术有限公司",
        "creator_name": "张艳军",
        "created_at": "2023-12-25",
        "cost_amount": "0",
        "paid_amount": "0",
        "remain_amount": "0",
        "advance_amount": "0",
        "operator_name": "张艳军",
        "operated_at": "2023-12-25 10:38",
        "reason": null,
        "paid_on": "2023-12-25",
        "parent_id": null,
        "approval_information": {},
        "collectings": [
            {
                "id": 27147,
                "collectable_id": 25594,
                "number": "XSTHD202312130001",
                "collectable_type_name": "销售退货单",
                "collectable_category": "in",
                "collectable_type": "Sale",
                "type_name": "销售退货单",
                "collectable_date": "2023-12-13",
                "io_at": "2023-12-13",
                "total_amount": "0.00",
                "collected_amount": "0.00",
                "remain_amount": "0.00",
                "collect_amount": "0.00",
                "collectings_fund_collecting_id": 6470
            }
        ],
        "total_collect_amount": "0.00",
        "collecting_ids": [
            27147
        ],
        "collecting_amount": "0",
        "fund_collectings": [],
        "total_offset_amount": "0.00",
        "fund_collecting_ids": [],
        "fund_accounts": [
            {
                "id": 9373,
                "name": "支付宝账户",
                "account_group_i18n": "信用卡",
                "account_name": "支付宝账户",
                "account_type": "信用卡",
                "settlement_amount": "0.00",
                "note": null,
                "fund_account_fund_id": 6646
            }
        ],
        "total_settlement_amount": "0.00",
        "fund_account_ids": [
            9373
        ],
        "attachments_count": "0",
        "attachments": []
    }
}
```