# 应付

### 应付列表

* HTTP请求

`GET /api/funds/payments.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    doc_date | 否 | 单据日期
	date | 否 | 付款日期
	status | 否 | 付款状态
	keyword | 否 | 关键词
	keyword_type | 否 | 关键词类型(payments.name: 供应商名称; suppliers.number: 供应商编号; payments.number: 单据编号; )
	supplier_id | 否 | 供应商
	warehouse_id | 否 | 仓库
	creator_id | 否 | 创建人
	member_id | 否 | 采购人员
	page | 否 | 第几页
	per | 否 | 每页返回数

* 返回字段说明字段 | 类型 | 说明
    --- | --- | ---
    id | integer | ID
    number | string | 编号
	status | string | 付款状态
	status_i18n | string | 付款状态（中文）
	supplier_id | integer | 供应商ID
	supplier_name | string | 供应商姓名
    contact_name | string | 联系人姓名
	paymentable_id | integer | 关联单据ID
	paymentable_type | string | 关联单据类型
	type_name | string | 单据类型
	paymentable_category | string | 应付类型
	total_amount | string | 应付金额
	payed_amount | string | 已付金额
	remain_amount | string | 未付金额


* 返回 JSON 数据

```
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "payments": [
    {
      "id": 15550,
      "status": "opened",
      "status_i18n": "未结案",
      "supplier_id": 6967,
      "supplier_name": "aa",
      "paymentable_id": 15681,
      "paymentable_type": "Purchase",
      "type_name": "采购入库单",
      "number": "CGRKD202310110002",
      "paymentable_category": "in",
      "total_amount": "86,880.50",
      "payed_amount": "0.00",
      "remain_amount": "86,880.50"
    }
  ]
 } 
```