# 付款单

### 付款单列表（查询）

* HTTP请求

`GET /api/funds/fund_payments.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    paid_on | 否 | 付款日期
	created_at  | 否 | 创建日期 
	status | 否 | 付款状态
	category | 否 | 付款类别
	supplier_id | 否 | 客户
	department_id | 否 | 付款人部门
	operator_id | 否 | 付款人
	creator_department_id | 否 | 创建人部门
	fund_creator_id | 否 | 创建人
	keyword | 否 | 关键词
	keyword_type | 否 | 关键词类型(fund_payments.number: 付款单编号; collectings.number: 关联的采购单编号; parent_fund_collectings_fund_collectings.number: 关联的核销单编号; )
	page | 否 | 第几页
	per | 否 | 每页返回数

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    id | integer | ID
	type_name | string | 单据类型
    number | string | 编号
	note | string | 备注
	category | string | 付款类别
	category_i18n | string | 付款类别(collecting: 应付付款, ordering: 订单付款, advance: 预付, backing: 预付退回, offsetting: 预付冲应付)
	approve_status_i18n | string | 审批状态（中文）
	status | string | 审批状态
	status_i18n | string | 审批状态（中文）
	approved_level | integer | 审批层级
	current_approver_name | string | 当前审批人
	approved_time | string | 审批时间
	copy_to | array | 抄送人员ID
	copy_to_member_names | array | 抄送人员
	supplier_id | integer | 供应商ID
	supplier_name | string | 供应商姓名
	creator_name | string | 创建人
	created_at |string | 创建时间
	paid_amount | string | 付款金额
	remain_amount | string | 预付余额
	advance_amount | string | 预付金额
	operator_name | string | 付款人
	operated_at |string | 最后审批时间
	reason | string | 驳回原因
	paid_on |string | 付款时间
	parent_id | integer | 关联旧单据
	approval_information |hash | 审批信息
	collecting_number |array | 关联的销售单
	parent_fund_collectings | array| 关联的核销单
	fund_account_name | array | 账号账户
	offset_amount | string | 本次退回金额


* 返回 JSON 数据

```
{
  "status": {
    "code": 200,
    "message": "OK"
  },
  "fund_payments": [
    {
      "id": 2857,
      "type_name": "付款单",
      "number": "FKD202309070001",
      "note": "",
      "category_i18n": "应付付款",
      "status": "submitted",
      "approve_status_i18n": "已提交",
      "status_i18n": "已提交",
      "category": "payment",
      "approved_level": 0,
      "current_approver_name": "",
      "approved_time": "",
      "copy_to": null,
      "copy_to_member_names": [],
      "supplier_id": 6967,
      "supplier_name": "aa",
      "creator_name": "超管",
      "created_at": "2023-09-07",
      "cost_amount": "1.05",
      "paid_amount": "1.05",
      "remain_amount": "0.00",
      "advance_amount": "0.00",
      "operator_name": "超管",
      "operated_at": "2023-09-07 11:03",
      "reason": null,
      "paid_on": "2023-09-07",
      "parent_id": null,
      "approval_information": {},
      "payment_number": [
        {
          "paymentable_type": "Purchase",
          "paymentable_id": 15679,
          "number": "CGRKD202309070001"
        }
      ],
      "parent_fund_payments": [],
      "sub_fund_payments": [],
      "fund_account_name": [
        {
          "id": 9229,
          "name": "现金名称"
        }
      ],
      "offset_amount": "0.00"
    }
  ],
  "sum": {
    "paid_amount": "46700.81",
    "advance_amount": "46124.50",
    "remain_amount": "46124.50"
  },
  "pagination": {
    "current_page": 1,
    "prev_page": null,
    "total_count": 9,
    "entries_size": 1
  }
}
```