### 付款单创建
**应付付款、订单付款、预付、预付退回**

1. 应付付款
* HTTP请求

    `POST /api/funds/fund_payments`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    无 | 无 | 无
	number | string | 付款单编号
	supplier_id | integer | 供应商
	status | string | 审批状态（draft: 草稿；approving: 待审批；submitted: 已提交；rejected: 已驳回；passed: 审批通过；deprecated: 已作废）
	operator_id | integer | 付款人
	paid_on | string | 付款日期
	note | string | 备注
	category | string | 付款类别（payment）
	fund_payments_payments_attributes[0][payment_id] | integer | 应付款 ID
	fund_payments_payments_attributes[0][pay_amount] | string | 本次付款金额
	fund_accounts_payments_attributes[0][fund_account_id] | integer | 资金账户ID
	fund_accounts_payments_attributes[0][settlement_amount] | string |  本次付款金额
	fund_accounts_payments_attributes[0][account_name] | string | 资金账户名称
	document_addition_attributes[copy_to][] | array | 抄送人员Ids

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    	fund_payment[:id] | integer | 返回保存后收款单ID

* 返回 JSON 数据

```
{
	"status":{
		"code":200,
		"message":"OK"
		},
	"fund_payment":{
		"id":5994
	}
}
```

2. 订单付款

* HTTP请求

    `POST /api/funds/fund_payments`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    无 | 无 | 无
	number | string | 付款单编号
	supplier_id | integer | 供应商
	status | string | 审批状态（draft: 草稿；approving: 待审批；submitted: 已提交；rejected: 已驳回；passed: 审批通过；deprecated: 已作废）
	operator_id | integer | 付款人
	paid_on | string | 付款日期
	note | string | 备注
	category | string | 付款类别（ordering）
	fund_payments_payments_attributes[0][payment_id] | integer | 应付ID
	fund_payments_payments_attributes[0][pay_amount] | string | 本次付款金额
	fund_accounts_payments_attributes[0][fund_account_id] | integer | 资金账户ID
	fund_accounts_payments_attributes[0][settlement_amount] | string | 本次收款金额
	fund_accounts_payments_attributes[0][account_name] | string | 资金账号名称
	document_addition_attributes[copy_to][] | array | 抄送人员Ids

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    	fund_payment[:id] | integer | 返回保存后收款单ID

* 返回 JSON 数据

```
{
	"status":{
		"code":200,
		"message":"OK"
		},
	"fund_payment":{
		"id":5994
	}
}
```

3. 预付

* HTTP请求

    `POST /api/funds/fund_payments`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    无 | 无 | 无
	number | string | 付款单编号
	supplier_id | integer | 供应商
	status | string | 审批状态（draft: 草稿；approving: 待审批；submitted: 已提交；rejected: 已驳回；passed: 审批通过；deprecated: 已作废）
	operator_id | integer | 付款人
	paid_on | string | 付款日期
	note | string | 备注
	category | string | 付款类别（advance）
	fund_accounts_payments_attributes[0][fund_account_id] | integer | 资金账户ID
	fund_accounts_payments_attributes[0][settlement_amount] | string | 本次付款金额
	fund_accounts_payments_attributes[0][account_name] | string | 资金账户名称
	document_addition_attributes[copy_to][] | array | 抄送人员Ids

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    	fund_payment[:id] | integer | 返回保存后付款单ID

* 返回 JSON 数据

```
{
	"status":{
		"code":200,
		"message":"OK"
		},
	"fund_payment":{
		"id":5994
	}
}
```

4. 预付退回

* HTTP请求

    `POST /api/funds/fund_payments`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    无 | 无 | 无
	number | string | 收款单编号
	supplier_id | integer | 供应商
	status | string | 审批状态（draft: 草稿；approving: 待审批；submitted: 已提交；rejected: 已驳回；passed: 审批通过；deprecated: 已作废）
	operator_id | integer | 付款人
	paid_on | string | 付款日期
	note | string | 备注
	category | string | 付款类别（backing）
	fund_payments_sub_fund_payments_attributes[0][sub_fund_payment_id] | integer | 预收单据
	fund_payments_sub_fund_payments_attributes[0][offset_amount] | string | 本次退回金额
	fund_accounts_payments_attributes[0][fund_account_id] | integer | 资金账户ID
	fund_accounts_payments_attributes[0][settlement_amount] | string | 本次付款金额
	fund_accounts_payments_attributes[0][account_name] | string | 资金账户名称
	document_addition_attributes[copy_to][] | array | 抄送人员Ids

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    	fund_payment[:id] | integer | 返回保存后收款单ID

* 返回 JSON 数据

```
{
	"status":{
		"code":200,
		"message":"OK"
		},
	"fund_payment":{
		"id":5994
	}
}
```