### 付款单详情
**应付付款、订单付款、预付、预付退回**

* HTTP请求

    `GET /api/funds/fund_payments/:id.json`

* 请求参数

参数名 | 是否必须 | 说明
    --- | --- | ---
    无 | 无 | 无

* 返回字段说明

字段 | 类型 | 说明
    --- | --- | ---
    	has_approve_permission | boolean | 是否有审批权限
        has_revoke_permission | boolean | 是否有撤回权限
        approve_enabled | boolean | 审批是否开启
        operator_id | integer | 付款人
        note_editable | boolean | 是否可编辑
        attachment_editable | boolean | 附件是否可编辑
        id | integer | 付款单ID
        type_name | string | 单据类别
        number | string | 编号
        note | string | 备注
        category_i18n | string | 付款类别（中文）
        status | string | 审批状态（draft: 草稿；approving: 待审批；submitted: 已提交；rejected: 已驳回；passed: 审批通过；deprecated: 已作废）
        approve_status_i18n | string | 审批状态（中文）
        status_i18n | string | 审批状态（中文）
        category | string | 付款类别
        approved_level | integer | 审批层级
        current_approver_name | string | 当前审批人
        approved_time | string | 审批通过时间
        copy_to | array | 抄送人
        copy_to_member_names | array | 抄送人名称
        supplier_id | integer | 客户ID
        supplier_name | string | 客户名称
        creator_name | string | 创建人
        created_at | string | 创建时间
        cost_amount | string | 应付付款+预付已核销
        paid_amount | string | 付款金额
        remain_amount | string | 未付金额
        advance_amount | string | 预付金额
        operator_name | string | 付款人
        operated_at | string | 付款时间
        reason | string | 审批、驳回原因
        paid_on | string | 付款时间
        parent_id | integer | 关联旧单据
        approval_information | hash | 审批信息
		payments | array | 应付款列表
        total_payment_amount | string | 总付款额
        payment_ids | array | 应付款Ids
        fund_payments | array | 关联的预付列表
        total_offset_amount | string | 本次核销金额
        fund_payment_ids | array | 关联的预付列表Ids
        fund_accounts | string | 付款资金账户
        total_settlement_amount | string | 本次付款金额
        fund_account_ids | array | 付款资金账户Ids
        attachments_count | integer | 附件数量
        attachments | array | 附件列表

* 返回 JSON 数据

```
{
    "status": {
        "code": 200,
        "message": "OK"
    },
    "fund_payment": {
        "has_approve_permission": true,
        "has_revoke_permission": false,
        "approve_enabled": true,
        "operator_id": 5616622,
        "note_editable": true,
        "attachment_editable": true,
        "id": 3051,
        "type_name": "付款单",
        "number": "FKD202309070001",
        "note": "",
        "category_i18n": "应付付款",
        "status": "submitted",
        "approve_status_i18n": "已提交",
        "status_i18n": "已提交",
        "category": "payment",
        "approved_level": 0,
        "current_approver_name": null,
        "approved_time": "",
        "copy_to": null,
        "copy_to_member_names": [],
        "supplier_id": 7060,
        "supplier_name": "国美电器 经销商",
        "creator_name": "张艳军",
        "created_at": "2023-09-07",
        "cost_amount": "100",
        "paid_amount": "100",
        "remain_amount": "0",
        "advance_amount": "0",
        "operator_name": "张艳军",
        "operated_at": "2023-09-07 11:10",
        "reason": null,
        "paid_on": "2023-09-07",
        "parent_id": null,
        "approval_information": {},
        "payments": [
            {
                "id": 17003,
                "paymentable_id": 16574,
                "number": "DH202309070",
                "paymentable_category": "in",
                "paymentable_type": "Purchase",
                "type_name": "采购入库单",
                "paymentable_date": "2023-09-07",
                "io_at": "2023-09-07",
                "total_amount": "100.00",
                "paid_amount": "0.00",
                "remain_amount": "100.00",
                "payment_amount": "100.00",
                "payments_fund_payment_id": 3895
            }
        ],
        "total_payment_amount": "100.00",
        "payment_ids": [
            17003
        ],
        "fund_payments": [],
        "total_offset_amount": "0.00",
        "fund_payment_ids": [],
        "fund_accounts": [
            {
                "id": 9373,
                "account_name": "支付宝账户",
                "account_type": "信用卡",
                "settlement_amount": "100.00",
                "note": null,
                "fund_account_fund_id": 3348
            }
        ],
        "total_settlement_amount": "100.00",
        "fund_account_ids": [
            9373
        ],
        "attachments_count": "0",
        "attachments": []
    }
}
```