# 产品库存明细报表

## 统计数据

```shell
curl -i http://example.com/api/reports/query_inventories.json?warehouse_id[]=all&product_category_id=all&product_id=all&inventory_quantity=all&disabled_product=hide&keyword&keyword_type=products.name&page=1&per=20
```

```json
{
  "status": {
    "code": 200
    "message": "OK"
  },
  "inventories": {[
    "product_number": "CP0001",
    "product_name": "test1",
    "product_image": "",
    "product_images": "",
    "product_category_name": "默认分类",
    "product_spec": "spec",
    "product_attr": "",
    "product_barcode": "CP0001"
    "product_note": "产品备注"
    "product_deputy_unit_name": "产品副单位"
    "product_base_unit_name": "产品基本单位"
    "warehouse_all": {全部仓库汇总统计}
    "warehouse_4250": {仓库ID【4250】统计}
  ]}
  "sum": {
    "total_base_quantity_all": "320",
    "total_cost_all": "1500.00",
    "total_cost_4250": "1500.00"
    "total_base_quantity_4250": "320.00"
  }
}
```

* HTTP 请求

    `GET /api/reports/query_inventories.json`

* 请求参数

参数名     | 是否必填| 默认值| 说明
 --------- | -------|-------|-----------
inventory_quantity	|是	|all	|线索库存数量类型(all[全部], positive[仅显示正库存产品], zero[仅显示零库存产品], negative[仅显示负库存产品])
disabled_product	|是	|hide	|是否显示禁用产品（hide show）
product_id	|是	|all	|产品ID
product_category_id|	是|	all	|产品分类ID
warehouse_id[]	|是	|all	|仓库ID
keyword	|否	|''	|报表搜索关键词
keyword_type	|是|	products.name	|关键词搜索类型（products.name[[产品名称] products.number[产品编号] products.spec[规格] product_attr_groups.product_attr_names[属性] products.barcode[产品条码]）
page	|是	|1	|第几页
per	|是	|15|	每页返回数

* 返回字段说明

返回值字段 | 字段类型 | 说明
-------- | ------- | -----------
product_number	|string	|产品编号
product_name	|string	|产品名称
product_image	|string	|产品图片
product_images	|string	|产品图片
product_category_name	|string	|产品分类
product_spec	|string	|产品规格
product_attr	|string	|产品属性
product_barcode	|string|	产品序列号
product_note	|string	|产品备注
product_deputy_unit_name	|string	|产品副单位
product_base_unit_name	|string|	产品基本单位
warehouse_all	|hash	|全部仓库统计（包含数量，单位成本以及成本）
warehouse_4250	|hash	|仓库ID(4250)的统计（包含数量，单位成本以及成本）
total_base_quantity_all	|string|	总仓基本数量
total_cost_all	|string	|总仓成本
total_cost_4250	|string|	仓库ID(4250)总成本
total_base_quantity_4250	|string|	仓库ID(4250)基本数量