# 采购收票

## 采购收票列表

```shell
curl -i -X GET --header "Authorization: Token token=<user_token>, uid=<uid>" \
  http://example.com/api/invoices/in.json

```json
{
    "status": {
        "code": 200,
        "message": "OK"
    },
    "invoices": {
        "id": 190
    }
}
```

* HTTP 请求

    `GET api/invoices/in.json`

* 请求参数

参数名 | 是否必须 | 说明
----- | ------- | -----------
page	|是	|1	|第几页
per	|是	|15	|每页返回数
date	|否	|无	|单据日期，支持 全部、今天、昨天、本周、上周、1周之前、本月、上月、今年、去年；还可以用日期区间，比如 2017-10-01/2017-10-10
status	|否	|无	|审批状态(draft[草稿] approving[待审批] submitted[已提交] rejected[已驳回] passed[审批通过] deprecated[已作废])
supplier_id	|否	|无	|供应商ID
creator_id	|否	|无	|创建人ID
operator_id	|否	|无|	收票人ID
keyword	|否	|无	|关键词模糊查询，支持发票号、发票号抬头、开票单据编号
keyword_type	|否|	无	|关键词搜索类型：invoices.number， invoices.title, order_number

* 返回字段说明

返回值字段 | 字段类型 | 说明
-------- | ------- | -----------
id	|string	|ID
number	|string	|收票编号
title	|string	|发票抬头
note	|string	|发票备注
invoiced_at	|string	|开票时间
operator_name	|string	|操作人
documents	|array	|收款单据